%define	rname autoscan-network

Summary:	Utility for network exploration (Samba,Nessus client)
Name:		autoscan
Version:	1.50
Release: 	%mkrel 9
License:        GPLv2+
Group:		Networking/Other
URL:		http://autoscan-network.com/
Source0:	http://autoscan.fr/download_files/autoscan-network-%{version}.tar.gz
Source1:	autoscan-network.init
# this .xml file is missing in the tarball, and the GUI doesn't load without it
# mdv bug #58012
Source2:	Finger_Printing.xml
Patch0:		autoscan-1.41-x86_64-build-fix.patch
Patch1:		autoscan-1.50-fix-str-fmt.patch
Patch2:		autoscan-network-1.50-mandriva-build-options.patch
Patch3:		autoscan-network-1.50-fix-build-issue.patch
BuildRequires:	gnomeui2-devel
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel
BuildRequires:	libao-devel
BuildRequires:	libvorbis-devel
BuildRequires:	net-snmp-devel
BuildRequires:	libtool
BuildRequires:	elfutils-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libgtk-vnc-devel
BuildRequires:	libgnome-keyring-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	glib2-devel
BuildRequires:	vte-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libcurl-devel
BuildRequires:	pcap-devel
Requires:	webclient
Requires:	%{name}-agent

%description
AutoScan is an application designed to explore and to manage your network. 
Entire subnets can be scanned simultaneously without human intervention. 
It features OS detection, automatic network discovery, a port scanner, 
and the ability to save the network state.

%package	agent
Summary:	AutoScan daemon
Group:		Networking/Other
Provides:	%{name} = %{version}-%{release}

%description	agent
Scans network in the background

%prep  
%setup -q -n %{rname}-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1

install -m 644 %{SOURCE2} usr/share/apps/autoscan-network

%build
./configure --distrib-mandriva
%make OPTIONS_COMPILE="%optflags %ldflags"

%install
rm -rf %{buildroot}

# Daemon install
install -d %{buildroot}%{_sbindir}/
install -d %{buildroot}%{_initrddir}/
install -m755 bin/autoscan-network-daemon %{buildroot}%{_sbindir}/
install -m755 %{SOURCE1} %{buildroot}%{_initrddir}/autoscan-network

# Gui install
install -d %{buildroot}%{_datadir}/apps/%{rname}
install -d %{buildroot}%{_datadir}/pixmaps/%{rname}
install -d %{buildroot}%{_datadir}/sounds/%{rname}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_datadir}/applications/

install -m755 bin/autoscan-network %{buildroot}%{_bindir}/

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-key='Encoding'  --remove-key='MultipleArgs' \
  --dir %{buildroot}%{_datadir}/applications usr/share/applications/*.desktop

install -m644 usr/share/icons/autoscan-network.png %{buildroot}%{_iconsdir}
cp -r usr/share/pixmaps/autoscan-network/* %{buildroot}%{_datadir}/pixmaps/%{rname}/

install -m644 usr/share/apps/autoscan-network/* %buildroot%_datadir/apps/%{rname}
install -m 644 usr/share/sounds/autoscan-network/* %{buildroot}%{_datadir}/sounds/%{rname}/

%preun
%preun_uninstall_gconf_schemas %{name}

%post agent
%_post_service %{name}-network

%postun agent
%_preun_service %{name}-network

%clean
rm -rf %{buildroot}

%files
%defattr(755,root,root)
%doc AUTHORS 
%{_bindir}/*
%{_datadir}/apps/%{rname}
%{_datadir}/pixmaps/%{rname}
%{_iconsdir}/*
%{_datadir}/sounds/%{rname}/*  
%{_datadir}/applications/*.desktop

%files agent
%defattr(755,root,root)
%{_sbindir}/*
%{_initrddir}/*




%changelog

* Fri Jan 11 2013 dmorgan <dmorgan> 1.50-9.mga3
+ Revision: 346802
- Fix init script

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 29 2011 guillomovitch <guillomovitch> 1.50-8.mga2
+ Revision: 130423
- fix build
- rebuild for latest net-snmp

* Thu Apr 14 2011 ennael <ennael> 1.50-7.mga1
+ Revision: 85261
- fix buildrequire
- clean spec file

  + eandry <eandry>
    - imported package autoscan


* Sun May 02 2010 Funda Wang <fwang@mandriva.org> 1.50-7mdv2010.1
+ Revision: 541575
- fix perm

* Wed Apr 21 2010 Funda Wang <fwang@mandriva.org> 1.50-6mdv2010.1
+ Revision: 537541
- rebuild

* Wed Apr 21 2010 Funda Wang <fwang@mandriva.org> 1.50-5mdv2010.1
+ Revision: 537539
- rebuild

* Sun Mar 28 2010 Funda Wang <fwang@mandriva.org> 1.50-4mdv2010.1
+ Revision: 528360
- rebuild

* Fri Mar 19 2010 Emmanuel Andry <eandry@mandriva.org> 1.50-3mdv2010.1
+ Revision: 525241
- fix init

* Sat Mar 13 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.50-2mdv2010.1
+ Revision: 518633
- add Finger_Printing.xml, an empty file, (fixes mdv bug#58012)

* Sun Feb 28 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.50-1mdv2010.1
+ Revision: 512790
- add missing BR
- clean spec formatting
- new upstream release 1.50
- rediff patch1
- fix file list

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

  + Emmanuel Andry <eandry@mandriva.org>
    - diff P1 to fix string format not literal
    - New version 1.41
    - rediff P0
    - drop P1, samba build is disabled by default
    - fix description about samba shares
    - provides AutoScan

* Mon Sep 29 2008 Emmanuel Andry <eandry@mandriva.org> 1.27-2mdv2009.0
+ Revision: 289740
- provide our own init script, upstream is not LSB compliant

* Thu Jul 31 2008 Funda Wang <fwang@mandriva.org> 1.27-1mdv2009.0
+ Revision: 258182
- disable samba due to incompatible with GPLv2 only and GPLv3+
- New version 1.27
- prepare to backports

* Fri Jul 18 2008 Buchan Milne <bgmilne@mandriva.org> 1.26-3mdv2009.0
+ Revision: 238175
- Require libsmbclient < 3.2.0

* Fri Jul 18 2008 Funda Wang <fwang@mandriva.org> 1.26-2mdv2009.0
+ Revision: 238007
- Rework x86_64 patch
- use correct tarball name and optflags
- do not extract source twice
- Obsoletes agent old package name

  + Emmanuel Andry <eandry@mandriva.org>
    - New version

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.12-1mdv2009.0
+ Revision: 218438
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jan 09 2008 Emmanuel Andry <eandry@mandriva.org> 1.12-1mdv2008.1
+ Revision: 147150
- New version

* Wed Jan 02 2008 Emmanuel Andry <eandry@mandriva.org> 1.11-1mdv2008.1
+ Revision: 140745
- New version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Olivier Blin <oblin@mandriva.com> 1.10-2mdv2008.1
+ Revision: 103294
- fix service name in post/preun scripts

* Sat Oct 27 2007 Funda Wang <fwang@mandriva.org> 1.10-1mdv2008.1
+ Revision: 102598
- remove invalid desktop entry
- fix building
- New version 1.10

* Sun Sep 02 2007 Emmanuel Andry <eandry@mandriva.org> 1.01-4mdv2008.0
+ Revision: 78222
- fix a path for x86_64
- fix build
- drop unneeded BR zvt-devel
- fix files listing

  + Oden Eriksson <oeriksson@mandriva.com>
    - fix build
    - fix build
    - lowercase the package
    - rebuilt against latest net-snmp devel
    - lowercase the package

* Sat Jul 14 2007 Emmanuel Andry <eandry@mandriva.org> 1.01-3mdv2008.0
+ Revision: 52084
- Requires:       AutoScan-agent

* Thu Jul 05 2007 Emmanuel Andry <eandry@mandriva.org> 1.01-2mdv2008.0
+ Revision: 48758
- fix package name

* Wed Jul 04 2007 Emmanuel Andry <eandry@mandriva.org> 1.01-1mdv2008.0
+ Revision: 48274
- drop old debian menu included in tarball
- diff patch to fix 86_64 build
- New version
- split package into daemon and gui
- set license to GPLv2


* Fri Aug 11 2006 Emmanuel Andry <eandry@mandriva.org> 0.99-4mdv2007.0
- fix buildrequires (to have it on x86_64)
- add buildrequires libvorbis-devel net-snmp-devel

* Thu Aug 03 2006 Lenny Cartier <lenny@mandriva.com> 0.99-3mdv2007.0
- xdg
- use default icon
- various fixes

* Fri Jun 16 2006 Lenny Cartier <lenny@mandriva.com> 0.99-2mdv2007.0
- rebuild

* Wed Mar 29 2006 Guillaume Bedot <littletux@mandriva.org> 0.99-1mdk
- 0.99
- fixed wrong permissions on /usr/lib/menu
- fixed changed binary name
- rpmbuildupdate-able
- %%{1}mdv2007.1
- some other fixes

* Mon Sep 12 2005 Emmanuel Andry <eandry@free.fr> 0.97.1b-1mdk
- New version
- Using parts of original spec file

* Sun Apr 10 2005 Emmanuel Andry <eandry@free.fr> 0.95-3mdk
- Requires firefox instead of mozilla (Bug #15359)

* Tue Apr 05 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.95-2mdk
- Rebuild for libsmbclient

* Tue Mar 22 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.95-1mdk
- from thierry@fdl.ath.cx

